Your message dated Sat, 07 Jun 2008 07:47:05 +0000
with message-id <[EMAIL PROTECTED]>
and subject line Bug#484559: fixed in gdal 1.5.1-5
has caused the Debian Bug report #484559,
regarding gdal-bin package gdal2tiles.py man page gets built but not executable
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [EMAIL PROTECTED]
immediately.)


-- 
484559: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=484559
Debian Bug Tracking System
Contact [EMAIL PROTECTED] with problems
--- Begin Message ---
Package: gdal-bin
Version: 1.5.1-4
Severity: normal
Justification: no longer builds from source
Tags: patch

*** Please type your report below this line ***
Attached is the patch including the difference between the source which does build gdal2tiles.py and the source
which does not.


-- System Information:
Debian Release: lenny/sid
 APT prefers unstable
 APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gdal-bin depends on:
ii  libc6                         2.7-11     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.0-5  GCC support library
ii libgdal1-1.5.0 1.5.1-4 Geospatial Data Abstraction Librar
ii  libstdc++6                    4.3.0-5    The GNU Standard C++ Library v3

gdal-bin recommends no packages.

-- no debconf information

~
--
Jeremy Short
IT Programmer
The Lodging Company
http://www.skihills.com/
diff -uNr gdal-1.5.1/debian/gdal-bin.files 
gdal-1.5.1_patched/debian/gdal-bin.files
--- gdal-1.5.1/debian/gdal-bin.files    2008-06-04 09:02:18.000000000 -0700
+++ gdal-1.5.1_patched/debian/gdal-bin.files    2008-06-04 14:12:40.000000000 
-0700
@@ -11,6 +11,7 @@
 usr/bin/gdaltindex
 usr/bin/gdal_contour
 usr/bin/ogr*
+usr/bin/gdal2tiles.py
 usr/share/man/man1/gdal_rasterize.1
 usr/share/man/man1/gdal_translate.1
 usr/share/man/man1/gdal_utilities.1
diff -uNr gdal-1.5.1/debian/rules gdal-1.5.1_patched/debian/rules
--- gdal-1.5.1/debian/rules     2008-06-04 09:02:18.000000000 -0700
+++ gdal-1.5.1_patched/debian/rules     2008-06-04 14:16:00.000000000 -0700
@@ -112,6 +112,7 @@
 
        # install python stuff previuosly built and pre-installed
        cp -a $(CURDIR)/debian/python-tmp/usr/lib/* 
$(CURDIR)/debian/tmp/usr/lib/.
+       cp $(CURDIR)/swig/python/scripts/gdal2tiles.py 
$(CURDIR)/debian/tmp/usr/bin/
        
        # removing license file
        rm -f $(CURDIR)/debian/tmp/usr/share/gdal15/LICENSE.TXT

--- End Message ---
--- Begin Message ---
Source: gdal
Source-Version: 1.5.1-5

We believe that the bug you reported is fixed in the latest version of
gdal, which is due to be installed in the Debian FTP archive:

gdal-bin_1.5.1-5_i386.deb
  to pool/main/g/gdal/gdal-bin_1.5.1-5_i386.deb
gdal_1.5.1-5.diff.gz
  to pool/main/g/gdal/gdal_1.5.1-5.diff.gz
gdal_1.5.1-5.dsc
  to pool/main/g/gdal/gdal_1.5.1-5.dsc
libgdal-doc_1.5.1-5_all.deb
  to pool/main/g/gdal/libgdal-doc_1.5.1-5_all.deb
libgdal-perl_1.5.1-5_i386.deb
  to pool/main/g/gdal/libgdal-perl_1.5.1-5_i386.deb
libgdal-ruby1.8_1.5.1-5_i386.deb
  to pool/main/g/gdal/libgdal-ruby1.8_1.5.1-5_i386.deb
libgdal-ruby_1.5.1-5_i386.deb
  to pool/main/g/gdal/libgdal-ruby_1.5.1-5_i386.deb
libgdal1-1.5.0_1.5.1-5_i386.deb
  to pool/main/g/gdal/libgdal1-1.5.0_1.5.1-5_i386.deb
libgdal1-dev_1.5.1-5_i386.deb
  to pool/main/g/gdal/libgdal1-dev_1.5.1-5_i386.deb
python-gdal_1.5.1-5_i386.deb
  to pool/main/g/gdal/python-gdal_1.5.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [EMAIL PROTECTED],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <[EMAIL PROTECTED]> (supplier of updated gdal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [EMAIL PROTECTED])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Jun 2008 23:15:12 +0200
Source: gdal
Binary: libgdal1-1.5.0 libgdal1-dev libgdal-doc gdal-bin python-gdal 
libgdal-perl libgdal-ruby1.8 libgdal-ruby
Architecture: source i386 all
Version: 1.5.1-5
Distribution: unstable
Urgency: low
Maintainer: Francesco Paolo Lovergine <[EMAIL PROTECTED]>
Changed-By: Francesco Paolo Lovergine <[EMAIL PROTECTED]>
Description: 
 gdal-bin   - Geospatial Data Abstraction Library - Utility programs
 libgdal-doc - Documentation for the Geospatial Data Abstraction Library
 libgdal-perl - Perl bindings to the Geospatial Data Abstraction Library
 libgdal-ruby - Ruby bindings to the Geospatial Data Abstraction Library
 libgdal-ruby1.8 - Ruby 1.8 bindings to the Geospatial Data Abstraction Library
 libgdal1-1.5.0 - Geospatial Data Abstraction Library
 libgdal1-dev - Geospatial Data Abstraction Library - Development files
 python-gdal - Python bindings to the Geospatial Data Abstraction Library
Closes: 473912 484559
Changes: 
 gdal (1.5.1-5) unstable; urgency=low
 .
   * Installs gdal2tiles.py and other python scripts, previously missing.
     Due to dependency from python-gdal extensions, scripts are installed in
     that package instead of gdal-bin.
     (closes: #484559)
   * Removed ogr.py.dpatch for #473912. Fix needs to be applied on fly to
     be effective. It also causes a twice build FTBS. Added patch build-dep
     to apply ogr.py.diff in debian/rules.
     (closes: #473912)
Checksums-Sha1: 
 f9347fa66a32c76221602a0df098146c62d70ff6 1927 gdal_1.5.1-5.dsc
 8e5ab30f57ba9c1da6d1d206718147285212d2e3 16173 gdal_1.5.1-5.diff.gz
 44522d38f4256d439ca3c1882585b83354dc199a 2409412 
libgdal1-1.5.0_1.5.1-5_i386.deb
 6d87c76487364755984e39710854d135f0040923 2735884 libgdal1-dev_1.5.1-5_i386.deb
 6044b090fb9c6280670365d19f51970bd13280e1 129634 gdal-bin_1.5.1-5_i386.deb
 3b672c9b536030cfda9b075b6c54920bb91ad93b 456524 python-gdal_1.5.1-5_i386.deb
 82c28a207783cfcecdec8e479e24d5bc120ed050 304352 libgdal-perl_1.5.1-5_i386.deb
 11209201316627a631e498de9ece30f374392aee 155838 
libgdal-ruby1.8_1.5.1-5_i386.deb
 66d19bdd2153bfb0be7f361998fdc59338fef9f1 28918 libgdal-ruby_1.5.1-5_i386.deb
 87e3885223885624e0dc2947e3d2f38af2612b4a 1308068 libgdal-doc_1.5.1-5_all.deb
Checksums-Sha256: 
 5f146d4cd380f16006d72bb21bc56cf642081da35fa4dadb678f2aba27eaba1e 1927 
gdal_1.5.1-5.dsc
 76f2c43569d2dbab6501e20b378ab8b78907afebc3c6596dc5de9a1f8c5427c8 16173 
gdal_1.5.1-5.diff.gz
 2ce8493ca04e273f4e1754e2f69fb4228df5e5717ba994a250b45d053c03d054 2409412 
libgdal1-1.5.0_1.5.1-5_i386.deb
 ebc32dc2b001a438e910d1e50cc001c50202e0146048c5cf62a7ad8e1abb5a91 2735884 
libgdal1-dev_1.5.1-5_i386.deb
 6393f0eef2d6789193740ed443cafa78d8e64f8d2434bd065e693b162872a01a 129634 
gdal-bin_1.5.1-5_i386.deb
 c9791788cd92bed96908f4a013a6059c6e948ac8c36bdee2f058a55f22b7176e 456524 
python-gdal_1.5.1-5_i386.deb
 7a6e740082ea14d1fca260252cfbb1800aa6802d24ee77668bfe04af056d611d 304352 
libgdal-perl_1.5.1-5_i386.deb
 80023754225393ddafc85da1c1b65126d38b94de8c334591ad35abd494d8e37a 155838 
libgdal-ruby1.8_1.5.1-5_i386.deb
 2719501983bb85b793fffea3896e3ae260a45b5d3baeb76f4872d22c1bd909c1 28918 
libgdal-ruby_1.5.1-5_i386.deb
 8e4c2b7a170044be77acfbeb3df057a2eec6705f8005b20483d893d4e105c04b 1308068 
libgdal-doc_1.5.1-5_all.deb
Files: 
 283b4b3d9d71b9e304c472c0303fd3f3 1927 science extra gdal_1.5.1-5.dsc
 c8e39d06f191051bfabb31dabe20c355 16173 science extra gdal_1.5.1-5.diff.gz
 1a5453f997ed5628a40897c7ee6a5b00 2409412 libs extra 
libgdal1-1.5.0_1.5.1-5_i386.deb
 be60f5fc43e0477ec8b1d895e7f92369 2735884 libdevel extra 
libgdal1-dev_1.5.1-5_i386.deb
 f61b211a71b1a20aed10dd53c711487a 129634 science extra gdal-bin_1.5.1-5_i386.deb
 1b829d4963a0b0c87ab24c168b83afb3 456524 python extra 
python-gdal_1.5.1-5_i386.deb
 30518b75064cc18c1f6d31b4f4357804 304352 perl extra 
libgdal-perl_1.5.1-5_i386.deb
 9cdfbcfe732ce8e461b21f502288d07f 155838 interpreters extra 
libgdal-ruby1.8_1.5.1-5_i386.deb
 640389975940ddb6e5a28c2af5c859c0 28918 interpreters extra 
libgdal-ruby_1.5.1-5_i386.deb
 60307100ae0e6325d2ed586dfefa5a75 1308068 doc extra libgdal-doc_1.5.1-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhKOQgACgkQpFNRmenyx0e5lACfWBJOdcPAs6uUal5lwTLDlmfF
5rYAoL3a5IVFqO5f0DiA3Mw6tB3CqcdE
=9ctY
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to